Subject: Re: [PATCH net-next 1/2] netem: rate-latency extension

From: Hagen Paul Pfeifer <[email-masked]>
Date: Fri, 25 Nov 2011 13:02:18 +0100

* Eric Dumazet | 2011-11-25 07:13:20 [+0100]:

>Yes, but Hagen change adds a few lines to netem, and netem already
>handles throttling. This is why I believe its a nice enhancement.

We first modified TBF, but TBF address a slightly different task. So the patch
was a little bit awkward and complex (more awkward then the two additional
netem enqueue() lines). So in the end: yes, netem is the right place for this:
only a few lines in netem are required. Additionally: setup a qdisc chain with
TBF, netem, ... is also error prone. Students of mine repeatedly make mistakes
here. This change make a complete emulation setup even more easy. But this is
only a side note.

Hagen